From 3f340f3161af05ad9b8801e132ab984045ae1eaa Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Fri, 3 May 2019 14:04:12 +0200
Subject: [PATCH] libdmapsharing: disable tests

These fail to build with libgee currently in the repository, so
disable them.

Also add gobject-introspection to host depends for cross.
---
 srcpkgs/libdmapsharing/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/libdmapsharing/template b/srcpkgs/libdmapsharing/template
index b14e2f2f72d..ec2d0ad520b 100644
--- a/srcpkgs/libdmapsharing/template
+++ b/srcpkgs/libdmapsharing/template
@@ -1,13 +1,13 @@
 # Template file for 'libdmapsharing'
 pkgname=libdmapsharing
 version=2.9.39
-revision=1
+revision=2
 build_style=gnu-configure
-configure_args="--with-mdns=avahi"
-hostmakedepends="pkg-config glib-devel"
+configure_args="--with-mdns=avahi --disable-tests"
+hostmakedepends="pkg-config glib-devel gobject-introspection"
 makedepends="gtk+-devel avahi-glib-libs-devel libsoup-devel
  gst-plugins-base1-devel libgee08-devel"
-short_desc="A library that implements the DMAP family of protocols"
+short_desc="Library that implements the DMAP family of protocols"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1"
 homepage="http://www.flyn.org/projects/libdmapsharing/index.html"
